Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery.value
Class EmptySequenceIterator

    java.lang.Object
      org.exist.xquery.value.EmptySequenceIterator

All Implemented Interfaces:
  SequenceIterator

public class EmptySequenceIterator
extends java.lang.Object
implements SequenceIterator

Field Summary

Fields inherited from interface org.exist.xquery.value.SequenceIterator
`EMPTY_ITERATOR`

Constructor Summary
`EmptySequenceIterator()`

Method Summary
`boolean` | `hasNext()`
`Item` | `nextItem()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptySequenceIterator

    public EmptySequenceIterator()

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `SequenceIterator`

### nextItem

    public Item nextItem()

  Specified by:
    `nextItem` in interface `SequenceIterator`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.